%global drupaldir %{_datadir}/drupal7

Name:    drupal7-backup_migrate
Version: 2.2
Release: 1%{?dist}
Summary: Database backup, restore, and migrate module for Drupal

Group: Applications/Publishing
License: GPLv2+
URL:     http://drupal.org/project/backup_migrate
Source0: http://ftp.drupal.org/files/projects/backup_migrate-7.x-%{version}.tar.gz
Source1: %{name}-fedora-README.txt
Source2: LICENSE.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal7

%description
Backup and Migrate simplifies the task of backing up and restoring
your Drupal database or copying your database from one Drupal site to
another. It supports gzip, bzip and zip compression as well as
automatic scheduled backups.

With Backup and Migrate you can dump some or all of your database
tables to a file download or save to a file on the server, and to
restore from an uploaded or previously saved database dump. You can
chose which tables and what data to backup and cache data is excluded
by default.

%prep

%setup -qn backup_migrate

install -p -m 0644 %{SOURCE1} .
install -p -m 0644 %{SOURCE2} .

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/backup_migrate
cp -pr * %{buildroot}%{drupaldir}/modules/backup_migrate

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt %{name}-fedora-README.txt
%{drupaldir}/modules/backup_migrate
%exclude %{drupaldir}/modules/backup_migrate/*.txt

%changelog
* Fri Sep 23 2011 Peter Borsa <peter.borsa@gmail.com> - 2.2-1
- Initial packaging
